import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare enum EtatEnum {
    Libre = 0,
    HS = 1,
    Inconnu = 2,
    Ok = 3
}
export declare enum ZoneEnum {
    Moniteur = 0,
    MI = 1
}
export declare enum CycleEnum {
    Non = 0,
    Oui = 1
}
export interface IFluxDTO {
}
export declare class Capsule {
    fluxDTO: IFluxDTO | undefined;
    etat: EtatEnum;
    zone: ZoneEnum;
    estCycle: CycleEnum;
    numero: number;
    camera: string;
    gare: string;
}
export declare class CapsuleFluxComponent implements OnInit {
    faUpDownLeftRight: import("@fortawesome/fontawesome-common-types").IconDefinition;
    faUpRightAndDownLeftFromCenter: import("@fortawesome/fontawesome-common-types").IconDefinition;
    faPowerOff: import("@fortawesome/fontawesome-common-types").IconDefinition;
    capsule?: Capsule;
    OndeplacerClick: EventEmitter<Capsule>;
    OnchangerVisionClick: EventEmitter<Capsule>;
    OnfermerClick: EventEmitter<Capsule>;
    constructor();
    ngOnInit(): void;
    deplacerClick(): void;
    changerVisionClick(): void;
    fermerClick(): void;
    GetStrokeColor(): string;
    EstMI(): boolean;
    GetClass(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CapsuleFluxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CapsuleFluxComponent, "lib-capsule-flux", never, { "capsule": "capsule"; }, { "OndeplacerClick": "OndeplacerClick"; "OnchangerVisionClick": "OnchangerVisionClick"; "OnfermerClick": "OnfermerClick"; }, never, never, false>;
}
